Closed Bug 1657876 Opened 6 months ago Closed 5 months ago

ESR Firefox not supported in Rust mozversion

Categories

(Testing :: Mozbase Rust, defect)

Default
defect

Tracking

(firefox81 fixed)

RESOLVED FIXED
81 Branch
Tracking Status
firefox81 --- fixed

People

(Reporter: jgraham, Assigned: jgraham)

References

Details

Attachments

(1 file, 4 obsolete files)

This is because it has a version string ending "esr". This in turn seems to be the cause of https://github.com/mozilla/geckodriver/issues/1756

This doesn't add esr information to the version string, since that would be
a breaking change and require a major version bump

Assignee: nobody → james
Status: NEW → ASSIGNED

FWIW I tried a bigger/breaking change here: https://treeherder.mozilla.org/#/jobs?repo=try&selectedTaskRun=EKDXaL0ZRDiaT5fdOhWR6A.0&tier=1%2C2%2C3&author=james%40hoppipolla.co.uk&fromchange=297265962160752fc9479c2adf30f9ffbb98836f Would be helpful for people to test that branch and verify that it works in more situations than just try

Attachment #9168768 - Attachment description: Bug 1657876 - Parse Firefox ESR version string correctly, → Bug 1657876 - Improve parsing of the Firefox version string,

The severity field is not set for this bug.
:jgraham, could you have a look please?

For more information, please visit auto_nag documentation.

Flags: needinfo?(james)
Pushed by james@hoppipolla.co.uk:
https://hg.mozilla.org/integration/autoland/rev/49a8dfe53f37
Improve parsing of the Firefox version string, r=marionette-reviewers,webdriver-reviewers,whimboo
Flags: needinfo?(james)
Status: ASSIGNED → RESOLVED
Closed: 5 months ago
Resolution: --- → FIXED
Target Milestone: --- → 81 Branch
Duplicate of this bug: 1649693
Attachment #9170049 - Attachment is obsolete: true
Attachment #9170048 - Attachment is obsolete: true
Attachment #9170047 - Attachment is obsolete: true
Attachment #9170046 - Attachment is obsolete: true
You need to log in before you can comment on or make changes to this bug.